# Billing Runs

Billing Runs

 - [POST /billingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/createbillingrun.md): This method will auto-generate an ID and create a new billing run. If an ID is specified for the billing run, an error will be thrown.
 - [POST /billingRuns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /billingRuns/{tenantId}/fromTemplate/{templateId}/{referenceDate}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/generatebillingrunfromtemplate.md)
 - [GET /billingRuns/{tenantId}/recurringBillingRun/{recurring_billing_run_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/listrunsbyrecurringbillingrunid.md): Returns a list of records with the specified recurring_billing_run_id
 - [POST /billingRuns/{tenantId}/refresh/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/refreshbillingrun.md)
 - [POST /billingRuns/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/searchforbillingruns.md): Searches for billing runs using predefined parameters
 - [DELETE /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/deletebillingrun.md): This method will delete a billing run with the specified ID.
 - [GET /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/getbillingrun.md): This method will look up a billing run by the specified ID and return it back.
 - [PATCH /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/patchbillingrun.md): This method will patch an existing billing run with the specified ID, using the HTTP PATCH specification.
 - [PUT /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/updatebillingrun.md): This method will update an existing billing run with the specified ID.
